org.eclipse.rdf4j.sail.shacl

## Class Stats

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.Stats

- Deprecated.
  since 3.0. This feature is for internal use only: its existence, signature or behavior may change without warning from one release to the next.

      @InternalUseOnly
      public class Stats
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stats()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `added(Statement statement)` Deprecated.
    `boolean` | `hasAdded()` Deprecated.
    `boolean` | `hasRemoved()` Deprecated.
    `boolean` | `isBaseSailEmpty()` Deprecated.
    `boolean` | `isEmpty()` Deprecated.
    `void` | `removed(Statement statement)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stats

          public Stats()

      Deprecated.

  - ### Method Detail

    - #### added

          public void added(Statement statement)

      Deprecated.

    - #### removed

          public void removed(Statement statement)

      Deprecated.

    - #### hasAdded

          public boolean hasAdded()

      Deprecated.
      Returns:
        true if statements were effectively added in this transaction

    - #### hasRemoved

          public boolean hasRemoved()

      Deprecated.
      Returns:
        true if statements were effectively removed in this transaction

    - #### isBaseSailEmpty

          public boolean isBaseSailEmpty()

      Deprecated.
      Returns:
        true if the sail was empty before this transaction started

    - #### isEmpty

          public boolean isEmpty()

      Deprecated.
      Returns:
        true if the entire sail is empty

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.